Skip to main content
POST
/
public-api
/
feedback
Submit feedback
curl --request POST \
  --url https://api.neoagent.io/public-api/feedback \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_id": "<string>",
  "comment": "<string>",
  "psa_entity_id": "<string>",
  "user_name": "<string>",
  "workflow_id": 123
}
'
import requests

url = "https://api.neoagent.io/public-api/feedback"

payload = {
"client_id": "<string>",
"comment": "<string>",
"psa_entity_id": "<string>",
"user_name": "<string>",
"workflow_id": 123
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
comment: '<string>',
psa_entity_id: '<string>',
user_name: '<string>',
workflow_id: 123
})
};

fetch('https://api.neoagent.io/public-api/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "feedback_id": 123
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}

Query Parameters

signature
string
required

HMAC signature from the Neo-generated link. No Authorization header is used.

Body

application/json
client_id
string
required
feedback_type
enum<string>
required
Available options:
POSITIVE,
NEGATIVE
comment
string | null
psa_entity_id
string | null
user_name
string | null
workflow_id
integer | null

Response

Success.

data
FeedbackCreatedResponse · object
required
meta
object
required